package server

import (
	"log"
	"net/http"
	_ "net/http/pprof"
)

func StartProfilingServer(listeningAddress string) {
	server := &http.Server{
		Addr:    listeningAddress,
		Handler: http.DefaultServeMux,
	}

	go func() {
		log.Fatal(server.ListenAndServe())
	}()
}
